scoreboard players add @s SceneSwitch 0
scoreboard players add @s[tag=scene2] SceneSwitch 1
scoreboard players add @s[tag=scene3] SceneSwitch 1
scoreboard players add @s[tag=scene4] SceneSwitch 1
scoreboard players add @s[tag=scene4_5] SceneSwitch 1
scoreboard players add @s[tag=scene5] SceneSwitch 1
scoreboard players add @s[tag=scene6] SceneSwitch 1
scoreboard players add @s[tag=scene7] SceneSwitch 1
scoreboard players add @s[tag=scene8] SceneSwitch 1
scoreboard players add @s[tag=scene9] SceneSwitch 1
scoreboard players add @s[tag=scene10] SceneSwitch 1
scoreboard players add @s[tag=scene11] SceneSwitch 1
scoreboard players add @s[tag=scene12] SceneSwitch 1

## scene1 --> scene2
tag @s[tag=!scene2,x=0,y=221,z=30,dx=32,dy=4,dz=5] add scene2
tag @s[scores={SceneSwitch=1}] remove slow2
tag @s[scores={SceneSwitch=1}] add slow1
tag @s[scores={SceneSwitch=1}] remove voiceline
tag @s[scores={SceneSwitch=1}] add stop_buzzing
title @s[scores={SceneSwitch=1}] times 0 1000000 0
title @s[scores={SceneSwitch=1}] title "\uE000"
teleport @s[scores={SceneSwitch=1..3}] 23 229 32
teleport @s[scores={SceneSwitch=4}] 56 221 46.7 -160 0
tag @s[scores={SceneSwitch=4}] add buzzing2
title @s[scores={SceneSwitch=4}] title ""
tag @s[scores={SceneSwitch=5}] remove scene2

## scene2 --> scene3
tag @s[tag=!scene3,x=101,y=221,z=37,dx=5,dy=4,dz=6] add scene3
tag @s[scores={SceneSwitch=6}] remove slowness1
tag @s[scores={SceneSwitch=6}] add slow2
tag @s[scores={SceneSwitch=6}] remove peek_done
tag @s[scores={SceneSwitch=6}] remove voiceline
tag @s[scores={SceneSwitch=6}] add stop_buzzing
title @s[scores={SceneSwitch=6}] times 0 1000000 0
title @s[scores={SceneSwitch=6}] title "\uE000"
teleport @s[scores={SceneSwitch=6..8}] 84 229 71
teleport @s[scores={SceneSwitch=9}] 68 221 95 25 2
tag @s[scores={SceneSwitch=9}] remove summoned_peek
execute if score @s SceneSwitch matches 9 run function bacteria:remove/all
execute if score @s SceneSwitch matches 9 run function plank:remove/all
tag @s[scores={SceneSwitch=9}] add buzzing1
title @s[scores={SceneSwitch=9}] title ""
tag @s[scores={SceneSwitch=10}] remove scene3

## scene3 --> scene4
tag @s[tag=!scene4,scores={PlankFall=100}] add scene4
tag @s[scores={SceneSwitch=11}] remove slowness2
tag @s[scores={SceneSwitch=11}] add slow2
tag @s[scores={SceneSwitch=11}] remove voiceline
tag @s[scores={SceneSwitch=11}] add stop_buzzing
title @s[scores={SceneSwitch=11}] times 0 1000000 0
title @s[scores={SceneSwitch=11}] title "\uE000"
execute if score @s SceneSwitch matches 11 run function plank:remove/all
teleport @s[scores={SceneSwitch=11..14}] 65 229 97
teleport @s[scores={SceneSwitch=14}] 70 221 17.7 180 12
execute if score @s SceneSwitch matches 14 run scoreboard players reset @s PlankFall
execute if score @s SceneSwitch matches 14 run kill @e[tag=ladder]
execute if score @s SceneSwitch matches 14 run function game_controller:actions/summon/ladder
tag @s[scores={SceneSwitch=14}] add buzzing2
title @s[scores={SceneSwitch=14}] title ""
tag @s[scores={SceneSwitch=15}] remove scene4

## scene4 --> scene4_5
tag @s[tag=!scene4_5,x=62,y=221,z=-16,dx=16,dy=4,dz=15] add scene4_5
tag @s[scores={SceneSwitch=16}] remove slowness2
tag @s[scores={SceneSwitch=16}] add slow3
tag @s[scores={SceneSwitch=16}] remove voiceline
tag @s[scores={SceneSwitch=16}] add stop_buzzing
title @s[scores={SceneSwitch=16}] times 0 1000000 0
title @s[scores={SceneSwitch=16}] title "\uE000"
teleport @s[scores={SceneSwitch=17}] 72.87 221 -9.05 -100 0
tag @s[scores={SceneSwitch=19}] add buzzing1
title @s[scores={SceneSwitch=19}] title ""
tag @s[scores={SceneSwitch=20}] remove scene4_5

## scene4_5 --> scene5
tag @s[tag=!scene5,x=82,y=221,z=-61,dx=17,dy=4,dz=6] add scene5
tag @s[tag=!scene5,x=74,y=221,z=-59,dx=8,dy=4,dz=12] add scene5
tag @s[tag=!scene5,x=100,y=221,z=-58,dx=5,dy=4,dz=10] add scene5
tag @s[scores={SceneSwitch=21}] remove slowness3
tag @s[scores={SceneSwitch=21}] add slow3
stopsound @s[scores={SceneSwitch=21}] master minecraft:backrooms.custom.voicelines.voiceline3
execute if score @s SceneSwitch matches 21 run function bacteria:remove/all
execute if score @s SceneSwitch matches 21 positioned 146 221 -1.25 rotated 120 0 run function bacteria:summon/default
execute if score @s SceneSwitch matches 21 as @e[tag=aj.bacteria.root] run function bacteria:animations/watch/play
tag @s[scores={SceneSwitch=21}] remove voiceline
tag @s[scores={SceneSwitch=21}] add stop_buzzing
title @s[scores={SceneSwitch=21}] times 0 1000000 0
title @s[scores={SceneSwitch=21}] title "\uE000"
teleport @s[scores={SceneSwitch=21..23}] 108 229 -33
teleport @s[scores={SceneSwitch=24}] 120.3 221 -14.1 -65 0
tag @s[scores={SceneSwitch=24}] add buzzing2
title @s[scores={SceneSwitch=24}] title ""
tag @s[scores={SceneSwitch=25}] remove scene5

## scene5 --> scene6
tag @s[tag=!scene6,x=128,y=221,z=-4,dx=8,dy=4,dz=14] add scene6
tag @s[tag=!scene6,x=136,y=221,z=-16,dx=5,dy=4,dz=14] add scene6
tag @s[scores={SceneSwitch=26}] remove slowness3
tag @s[scores={SceneSwitch=26}] add slow2
tag @s[scores={SceneSwitch=26}] remove bacteria_watch
execute if score @s SceneSwitch matches 26 run function bacteria:remove/all
tag @s[scores={SceneSwitch=26}] add stop_buzzing
title @s[scores={SceneSwitch=26}] times 0 1000000 0
title @s[scores={SceneSwitch=26}] title "\uE000"
teleport @s[scores={SceneSwitch=26..28}] 129 229 -48
teleport @s[scores={SceneSwitch=29}] 135.72 221 -86.27 -64 0
tag @s[scores={SceneSwitch=29}] add buzzing2
title @s[scores={SceneSwitch=29}] title ""
tag @s[scores={SceneSwitch=30}] remove scene6

## scene6 --> [chase scenes]
tag @s[tag=!scene7,x=134,y=221,z=-68,dx=10,dy=4,dz=5] add scene7
tag @s[scores={SceneSwitch=31}] remove slowness3
tag @s[scores={SceneSwitch=31}] add slow3
tag @s[scores={SceneSwitch=31}] add stop_buzzing
tag @s[scores={SceneSwitch=31}] add can_respawn1
execute if score @s SceneSwitch matches 31 run function game_controller:actions/gameplay/scripted/arrows_setup
execute if score @s SceneSwitch matches 31 run kill @e[tag=wall_drawing]
execute if score @s SceneSwitch matches 31 unless entity VHSvince unless entity DanTDM unless entity PatotatoMan unless entity KanePixels unless entity ninjaxxu run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:4}}]}
execute if score @s SceneSwitch matches 31 if entity VHSvince run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:5}}]}
execute if score @s SceneSwitch matches 31 if entity DanTDM run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:6}}]}
execute if score @s SceneSwitch matches 31 if entity PatotatoMan run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:7}}]}
execute if score @s SceneSwitch matches 31 if entity KanePixels run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:8}}]}
execute if score @s SceneSwitch matches 31 if entity ninjaxxu run summon minecraft:armor_stand 162.0 221 -12 {Tags:["wall_drawing"],Invisible:1b,NoGravity:1b,Silent:1b,NoGravity:1b,Rotation:[-90f],PersistenceRequired:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:9}}]}
title @s[scores={SceneSwitch=31}] times 0 1000000 0
title @s[scores={SceneSwitch=31}] title "\uE000"
teleport @s[scores={SceneSwitch=31..39}] 158 229 -39
teleport @s[scores={SceneSwitch=39}] 174.7 221 -16.08 70 0
tag @s[scores={SceneSwitch=39}] add buzzing1
title @s[scores={SceneSwitch=39}] title ""
tag @s[scores={SceneSwitch=40}] remove scene7

## [chase scenes] --> scene8
tag @s[scores={SceneSwitch=41}] remove slowness3
tag @s[scores={SceneSwitch=41}] add slow3
title @s[scores={SceneSwitch=41}] times 0 1000000 0
title @s[scores={SceneSwitch=41}] title "\uE000"
teleport @s[scores={SceneSwitch=41..49}] -57 225 35
teleport @s[scores={SceneSwitch=49}] -69.3 236 22.8 60 30
tag @s[scores={SceneSwitch=49}] add stop_buzzing
tag @s[scores={SceneSwitch=49}] add disc13
title @s[scores={SceneSwitch=49}] title ""
tag @s[scores={SceneSwitch=50}] remove scene8

## scene8 --> scene9
execute if entity @s[tag=!scene9_triggered,x=-79,y=236,z=33,dx=0,dy=4,dz=1] run schedule function game_controller:actions/gameplay/scenes/scene9_trigger 5s
tag @s[x=-79,y=236,z=33,dx=0,dy=4,dz=1] add scene9_triggered
tag @s[scores={SceneSwitch=51}] remove slowness3
tag @s[scores={SceneSwitch=51}] add slow3
tag @s[scores={SceneSwitch=51}] remove disc13
tag @s[scores={SceneSwitch=51}] remove voiceline
title @s[scores={SceneSwitch=51}] times 0 1000000 0
title @s[scores={SceneSwitch=51}] title "\uE000"
teleport @s[scores={SceneSwitch=51..59}] -79 244 108
teleport @s[scores={SceneSwitch=59}] -101 236 163.0 45 25
tag @s[scores={SceneSwitch=59}] add disc13_cut
tag @s[scores={SceneSwitch=59}] add engine_sounds
title @s[scores={SceneSwitch=59}] title ""
execute if entity @s[scores={SceneSwitch=59}] run schedule clear game_controller:actions/gameplay/scenes/scene9_trigger
tag @s[scores={SceneSwitch=60}] remove scene9

## scene9 --> scene10
execute if entity @s[tag=!scene10_triggered,x=-125,y=236,z=182,dx=7,dy=4,dz=0] run schedule function game_controller:actions/gameplay/scenes/scene10_trigger 10.2s
tag @s[x=-125,y=236,z=182,dx=7,dy=4,dz=0] add scene10_triggered
tag @s[scores={SceneSwitch=61}] remove slowness3
tag @s[scores={SceneSwitch=61}] add slow3
tag @s[scores={SceneSwitch=61}] remove disc13_cut
tag @s[scores={SceneSwitch=61}] remove engine_sounds
tag @s[scores={SceneSwitch=61}] remove voiceline
tag @s[scores={SceneSwitch=61}] remove scene9_triggered
execute if score @s SceneSwitch matches 61 positioned -49 236 144 rotated 90 0 run function door:summon/default
execute if score @s SceneSwitch matches 61 positioned -41 242 144 rotated -90 0 run function door:summon/default
title @s[scores={SceneSwitch=61}] times 0 1000000 0
title @s[scores={SceneSwitch=61}] title "\uE000"
teleport @s[scores={SceneSwitch=61..69}] -76 244 157
teleport @s[scores={SceneSwitch=69}] -52.25 236 158.42 180 17
title @s[scores={SceneSwitch=69}] title ""
execute if score @s SceneSwitch matches 69 run schedule clear game_controller:actions/gameplay/scenes/scene10_trigger
tag @s[scores={SceneSwitch=70}] remove scene10

## scene10 --> scene11
tag @s[tag=!scene11,x=8,y=242,z=91,dx=5,dy=4,dz=18] add scene11
tag @s[scores={SceneSwitch=71}] add clear_slowness
tag @s[scores={SceneSwitch=71}] add stop_buzzing
tag @s[scores={SceneSwitch=71}] remove scene10_triggered
title @s[scores={SceneSwitch=71}] times 0 1000000 0
title @s[scores={SceneSwitch=71}] title "\uE000"
teleport @s[scores={SceneSwitch=71..74}] 34 250 73
teleport @s[scores={SceneSwitch=74}] 49.83 242 47.25 -18 -3
title @s[scores={SceneSwitch=74}] title ""
tag @s[scores={SceneSwitch=74}] add buzzing1
tag @s[scores={SceneSwitch=75}] remove scene11

## scene11 --> scene12
tag @s[scores={SceneSwitch=76}] add clear_slowness
tag @s[scores={SceneSwitch=76}] add stop_buzzing
tag @s[scores={SceneSwitch=76}] add can_respawn2
tag @s[scores={SceneSwitch=76}] remove camera_tracking
tag @s[scores={SceneSwitch=76}] remove chair_throw
execute if score @s SceneSwitch matches 76 positioned 26 242 43 rotated 145 0 run function bacteria:summon/default
execute if score @s SceneSwitch matches 76 as @e[tag=aj.bacteria.root] run function bacteria:animations/walk/play
title @s[scores={SceneSwitch=76}] times 0 1000000 0
title @s[scores={SceneSwitch=76}] title "\uE000"
teleport @s[scores={SceneSwitch=76..79}] 40 250 41
teleport @s[scores={SceneSwitch=79}] 20.4 242 33.0 85 -5
title @s[scores={SceneSwitch=79}] title ""
execute if score @s SceneSwitch matches 79 run tag @e[tag=aj.bacteria.root] add speech1
tag @s[scores={SceneSwitch=79}] add bacteria_search1
tag @s[scores={SceneSwitch=80}] remove scene12